﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PedjaSample.Data;
using PedjaSample.Data.MojDataSetTableAdapters;

namespace PedjaSample
{
    // *PEDJA*
    public class MojCentralniDS
    {
        // modifikovani singleton pattern
        private static MojCentralniDS _instance = new MojCentralniDS();
        public static MojCentralniDS singleton { get { return _instance; } }
        public MojDataSet centralniDataSet { get; private set; }

        // privatni konstruktor
        private MojCentralniDS()
        {
            centralniDataSet = new MojDataSet();
            // Ucitaj podatke koristeci posebnu konekciju od one kojom je kreiran DS u dizajneru
            UcitajIspocetka(@"Data Source=|DataDirectory|\Data\Krajnja.sdf");
        }

        public void UcitajIspocetka(string connString)
        {
            // ocisti dataset i ucitaj koristeci novu konekciju, namerno sam ovo izdvojio u poseban metod jer onda mozes spolja da uradis npr
            // MojCentralniDS.singleton.UcitajIspocetka(@"Data Source=|DataDirectory|\Data\Treci.sdf");
            centralniDataSet.Clear();
            TabelaTableAdapter da = new TabelaTableAdapter();
            da.Connection = new System.Data.SqlServerCe.SqlCeConnection(connString);
            da.Fill(centralniDataSet.Tabela);
        }
    }
}
